@echo off

setlocal

echo Fix Cusco Airport name
echo.
echo This small utility allows you to change the Cusco airport name to the correct one (see manual).
echo.
echo A backup of the original file will be created inside the Official/OneStore/fs-base folder.
echo.
echo If you want to fix the airport name, press the y key.
echo.
echo If you don't want to fix the files, exit this window or press n.

:PROMPT1
SET /P AREYOUSURE=Are you sure (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

:PROMPT2
SET /P AREYOUSURE=Really? (Y/[N])
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END


if exist "..\Official\OneStore\fs-base\de-DE.locPak" (
	GOTO NoSteam
	) else (
	GOTO Steam
)


:NoSteam
if exist "..\Official\OneStore\fs-base\de-DE.locPak.original" (
	echo Backup file already exists
	GOTO Go1
	) else (
	GOTO Go2
)
copy "..\Official\OneStore\fs-base\de-DE.locPak" "..\Official\OneStore\fs-base\de-DE.locPak.original"
copy "..\Official\OneStore\fs-base\en-US.locPak" "..\Official\OneStore\fs-base\en-US.locPak.original"
:Go1
FSDG_ChangeTheName_Utility.exe "..\Official\OneStore\fs-base\de-DE.locPak" "Teniente FAP Alejandro Velasco Astete" "Alejandro Velasco Astete"
FSDG_ChangeTheName_Utility.exe "..\Official\OneStore\fs-base\en-US.locPak" "Tnte Fap Alejandro Velazco Ast" "Alejandro Velasco Astete"
:Go2
GOTO Done

:Steam
if exist "..\Official\Steam\fs-base\de-DE.locPak.original" (
	echo Backup file already exists
	GOTO Go3
	) else (
	GOTO Go4	
)
copy "..\Official\Steam\fs-base\de-DE.locPak" "..\Official\OneStore\fs-base\de-DE.locPak.original"
copy "..\Official\Steam\fs-base\en-US.locPak" "..\Official\OneStore\fs-base\en-US.locPak.original"
:Go3
FSDG_ChangeTheName_Utility.exe "..\Official\Steam\fs-base\de-DE.locPak" "Teniente FAP Alejandro Velasco Astete" "Alejandro Velasco Astete"
FSDG_ChangeTheName_Utility.exe "..\Official\Steam\fs-base\en-US.locPak" "Tnte Fap Alejandro Velazco Ast" "Alejandro Velasco Astete"
:Go4
GOTO Done


:Done
echo Ok, we fixed the file. The airport will now have the correct name in MSFS. Well done! :-)

pause

:END
endlocal

echo.
echo.
echo Ok, then that's it. Press any key to exit this window.

pause